﻿@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

@using (Html.BeginForm("PostDataContextObject", "ViewDataViewBagTempData", FormMethod.Post))
{
    <table>
        <tr>
            <td>
                @Html.Label("First name:")
            </td>
            <td>
                @Html.TextBox("FName")
            </td>
        </tr>
        <tr>
            <td>
                @Html.Label("Last name:")
            </td>
            <td>
                @Html.TextBox("LName")
            </td>
        </tr>
        <tr>
            <td>
                @Html.Label("View Data Name:")
            </td>
            <td>
                @{
                    string Name = string.Empty;

                    //if (ViewData["FName"] != null && ViewData["LName"] != null)
                    //{
                    //    Name = ViewData["FName"].ToString() + " " + ViewData["LName"].ToString();
                    //}

                    if (TempData["FName"] != null && TempData["LName"] != null)
                    {
                        Name = TempData["FName"].ToString() + " " + TempData["LName"].ToString();
                    }
                }

                @Name
            </td>
        </tr>
        <tr>
            <td>
                @Html.Label("View Bag Name:")
            </td>
            <td>
                @{
                    string ViewBagName = string.Empty;

                    ViewBagName = ViewBag.FName + " " + ViewBag.LName;
                }

                @ViewBagName
            </td>
        </tr>
        <tr>
            <td></td>

            <td>
                <button type="submit">Submit </button>
            </td>
        </tr>

    </table>
                    }
